Bug 964409 - java-1.8.0-openjdk-devel: Should have lower priority in alternatives
java-1.8.0-openjdk-devel: Should have lower priority in alternatives
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 04:55 EDT by Mikolaj Izdebski
Modified: 2013-07-18 01:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: java-1.8.0-openjdk-1.8.0.0-0.9.b89.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 01:56:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-05-18 04:55:22 EDT
Description of problem:
JDK 8 is still in development and it currently doesn't work at all (see bug # and bug #964406 and bug # 964408). Even if these bugs are fixed new ones may appear as Java 8 is still in development.

In my opinion java-1.8.0-openjdk should have lower priority in alternatives that java-1.7.0-openjdk so that if user installs both java and java8 java takes precedence. Otherwise installing java8 will break all Fedora applications and it will be selected as system default Java implementation.

Version-Release number of selected component (if applicable):
java-1.8.0-openjdk-1.8.0.0-0.6.b89.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
update-alternatives --display java
  
Actual results:
/usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java - priority 170019
/usr/lib/jvm/jre-1.8.0-openjdk.x86_64/bin/java - priority 180000

Expected results:
jre-1.8.0-openjdk.x86_64 has lower priority than jre-1.7.0-openjdk.x86_64
Comment 1 Omair Majid 2013-05-20 21:49:37 EDT
I am not sure I agree.

Please note that java-1.8.0-openjdk will not get pulled in as a dependency of another package. All Java packages should (unless I made a mistake) depend on java-1.7.0-openjdk. The only way to have java-1.8.0-openjdk end up on your system is if you install it explicitly yourself. If that's the case, I think it sounds sensible (not desirable, I admit) to expect you to switch alternatives yourself if you notice it has bugs.

What do you think a suitable priority might be?
Comment 2 Mikolaj Izdebski 2013-05-21 00:47:26 EDT
(In reply to Omair Majid from comment #1)
> Please note that java-1.8.0-openjdk will not get pulled in as a dependency
> of another package. All Java packages should (unless I made a mistake)
> depend on java-1.7.0-openjdk.

That's correct.

> The only way to have java-1.8.0-openjdk end up
> on your system is if you install it explicitly yourself. If that's the case,
> I think it sounds sensible (not desirable, I admit) to expect you to switch
> alternatives yourself if you notice it has bugs.

Considering the experimental status of java-1.8.0-openjdk I don't think it should be default system Java.  I expect people would install JDK 8 to try it out, not to use it as default JVM for running all Java applications in the system. Default in alternatives should be JDK which is best suited for the system, not necessarly the highest version. In my opinion until JDK 8 is ready for production JDK 7 should remain default (i.e. have highest priority in alternatives).

> What do you think a suitable priority might be?

Anything lower than 170019. Perhaps 0.
Comment 3 Fedora Update System 2013-07-15 17:38:25 EDT
java-1.8.0-openjdk-1.8.0.0-0.9.b89.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/java-1.8.0-openjdk-1.8.0.0-0.9.b89.fc19
Comment 4 Fedora Update System 2013-07-16 23:11:27 EDT
Package java-1.8.0-openjdk-1.8.0.0-0.9.b89.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing java-1.8.0-openjdk-1.8.0.0-0.9.b89.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13103/java-1.8.0-openjdk-1.8.0.0-0.9.b89.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-18 01:56:20 EDT
java-1.8.0-openjdk-1.8.0.0-0.9.b89.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.